## NAME

CURLOPT_POSTFIELDSIZE_LARGE - size of POST data pointed to

## SYNOPSIS

    #include <curl/curl.h>
     CURLcode curl_easy_setopt(CURL *handle, CURLOPT_POSTFIELDSIZE_LARGE,
                               curl_off_t size);

## DESCRIPTION

If you want to post data to the server without having libcurl do a strlen() to measure the data size, this option must be used. When this option is used you can post fully binary data, which otherwise is likely to fail. If this size is set to -1, the library will use strlen() to get the size.

## DEFAULT

-1

## PROTOCOLS

HTTP

## EXAMPLE

TODO

## AVAILABILITY

Along with HTTP

## RETURN VALUE

Returns CURLE_OK if HTTP is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

CURLOPT_POSTFIELDS CURLOPT_COPYPOSTFIELDS

This HTML page was made with roffit.